// ==================================================
// r2: VGUI Inventory Screen
// ==================================================

#include "hud.h"
#include "cl_util.h"
#include "vgui_int.h"
#include "VGUI_Font.h"
#include "vgui_TeamFortressViewport.h"

CInventory::CInventory(int x,int y,int wide,int tall) : CMenuPanel(0,x,y,wide,tall)
{
	CSchemeManager *pSchemes = gViewPort->GetSchemeManager();
	SchemeHandle_t hTitleScheme = pSchemes->getSchemeHandle( "Title Font" );

	int r, g, b, a;

	m_pTitle = new Label( "", 0, 0 );
	m_pTitle->setParent( this );
	m_pTitle->setFont( pSchemes->getFont(hTitleScheme) );
	pSchemes->getFgColor( hTitleScheme, r, g, b, a );
	m_pTitle->setFgColor( r, g, b, a );
	pSchemes->getBgColor( hTitleScheme, r, g, b, a );
	m_pTitle->setBgColor( r, g, b, a );
	m_pTitle->setContentAlignment( vgui::Label::a_center );
	m_pTitle->setText(gHUD.m_TextMessage.BufferedLocaliseTextString("Title"));

	for (int i=0; i<8; i++)
	{
		int posx, posy;

		switch(i)
		{
			case 0: posx = 0;  posy = 50;  break;
			case 1: posx = wide/2;  posy = 50;  break;
			case 2: posx = 0;  posy = 50+((tall-50)/4);  break;
			case 3: posx = wide/2;  posy = 50+((tall-50)/4);  break;
			case 4: posx = 0;  posy = 50+(2*((tall-50)/4));  break;
			case 5: posx = wide/2;  posy = 50+(2*((tall-50)/4));  break;
			case 6: posx = 0;  posy = 50+(3*((tall-50)/4));  break;
			case 7: posx = wide/2;  posy = 50+(3*((tall-50)/4));  break;
		}

		m_pItem[i] = new CImageLabel( "", posx, posy, wide/2, (tall-50)/4);
		//m_pItem[i]->addActionSignal( pASignal );
		//m_pItem[i]->addInputSignal( new CHandler_MenuButtonOver(this, i) );
		m_pItem[i]->setParent( this );
	}
}

void CInventory::Update( void )
{
}

void CInventory::Open( void	 )
{
	Update();
	CMenuPanel::Open();
}

void CInventory::Initialize( void )
{
	setVisible( false );
}