#include "extdll.h"
#include "util.h"
#include "cbase.h"
#include "monsters.h"
#include "weapons.h"
#include "nodes.h"
#include "player.h"
#include "func_break.h"

class CBoardBreakable : public CBaseMonster
{
	void Spawn( void );
	int Classify( void );

	virtual int	ObjectCaps( void ) { return CBaseEntity :: ObjectCaps() & ~FCAP_ACROSS_TRANSITION; }
};
LINK_ENTITY_TO_CLASS( monster_board, CBoardBreakable );

void CBoardBreakable::Spawn( void )
{
	PRECACHE_MODEL( "models/v_board.mdl" );
	SET_MODEL(ENT(pev), "models/v_board.mdl" );
	pev->frame = 0;
	pev->body = 3;
	pev->sequence = 5;
	ResetSequenceInfo( );
	pev->framerate = 0;

	pev->takedamage	= DAMAGE_YES;
	pev->health		= 50;
	pev->scale		= 3;
	pev->effects    = 0;
	UTIL_SetSize(pev, Vector( -8, -8, -8), Vector(8, 8, 8));
  
	pev->solid		= SOLID_BBOX;
    pev->movetype	= MOVETYPE_NONE;
	UTIL_SetOrigin(pev, pev->origin);

	pev->flags |= FL_MONSTER;
	pev->flags |= FL_ONGROUND;
}

int CBoardBreakable::Classify( void )
{
	return CLASS_PLAYER_ALLY;
}